## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           drumgizmo
Version:        0.9.20
Release:        %autorelease
Summary:        DrumGizmo makes realistic sounding drums out of your MIDI

License:        LGPL-3.0-or-later
URL:            https://www.drumgizmo.org/
Source0:        https://www.drumgizmo.org/releases/drumgizmo-%{version}/drumgizmo-%{version}.tar.gz
Source1:        https://www.drumgizmo.org/releases/drumgizmo-%{version}/drumgizmo-%{version}.tar.gz.asc
Source2:        https://drumgizmo.org/public.asc
Patch0:         plugin_header.patch

BuildRequires:  gcc gcc-c++
BuildRequires:  automake autoconf libtool pkgconfig
BuildRequires:  gettext
BuildRequires:  gnupg2
BuildRequires:  zita-resampler-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(smf)

%description
DrumGizmo is an open source cross-platform drum plugin and stand-alone
application. It is comparable to several commercial drum plugin products.

DrumGizmo uses an open drum-kit file format, allowing the community to create
their own drum-kits. It has multichannel output, making it possible to mix it
just the way you would a real drum-kit. The optional built-in humanizer analyzes
the midi notes, adjusting velocities on-the-fly. This client can be a
stand-alone midi renderer, generating .wav files, 1 for each channel. Or use
DrumGizmo as a software sampler for an electronic drum-kit. There are also
plugin versions available.

For more information please visit http://www.drumgizmo.org

%package -n lv2-drumgizmo
Summary: DrumGizmo LV2 Plugin

%description -n lv2-drumgizmo
DrumGizmo plugin for the LV2 plugin standard.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p0

%build
# Disable input midifile because libsmf is not packaged yet
%configure --enable-lv2 --enable-cli
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_mandir}/man1/drumgizmo.*
%{_mandir}/man1/dgvalidator.*
%{_bindir}/drumgizmo
%{_bindir}/dgvalidator

%files -n lv2-drumgizmo
%license COPYING
%doc AUTHORS ChangeLog README
%dir %{_libdir}/lv2/drumgizmo.lv2/
%{_libdir}/lv2/drumgizmo.lv2/drumgizmo.so
%{_libdir}/lv2/drumgizmo.lv2/manifest.ttl


%changelog
* Mon Oct 16 2023 Philip Matura <pfed@tura-home.de> - 0.9.20-2
- Build with MIDI file support (depends on libsmf)

* Mon Oct 16 2023 Philip Matura <pfed@tura-home.de> - 0.9.20-1
- Update to 0.9.20

* Fri Nov 15 2019 Philip Matura <pfed@tura-home.de> 0.9.18.1-1
- Update to 0.9.18.1
- Use GPG verify

* Mon Apr 13 2015 Nils Tonnätt <nils.tonnaett@gmx.net> 0.9.8.1-1
- fixed License

* Wed Apr 08 2015 Nils Tonnätt <nils.tonnaett@gmx.net> 0.9.8.1-1
- initial build

